Karia
ReferencesOpenapiDocument

Get document links

GET
/organisation/{orgId}/workspace/{workspaceId}/document/{documentId}

Fetch fresh pre-signed links and metadata for a document by ID.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
documentId*string

Response Body

Successful response

application/json
  1. response
data*
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/document/string'
Example Response
{  "data": {    "presignedUrl": "string",    "fileName": "string",    "fileType": "string",    "createdAt": "string"  }}